Subject: Re: bug#50189: wdired chmod should not follow symlinks (Bug#11912 followup)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Aug 2021 13:47:27 +0200

Paul Eggert <[email-masked]> writes:

> I did not test this, as I don't use wdired and couldn't get it to work
> for me regardless of whether the patch is applied.

Yeah, editing the permissions doesn't seem to work for me in dired.  If
I start with

  -rw-r--r--  1 larsi      larsi       329K Aug 21 18:22 IMG_4478.JPG

and press DEL after the final dash, it'll delete the dash and then say
"Text is read only", leaving me with:

  -rw-r--r-  1 larsi      larsi       329K Aug 21 18:22 IMG_4478.JPG

And then I can't insert anything there, because it's now read-only.  So
something is wonky in the way wdired tries to make certain bits of the
line read-only.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no